  FT *MatProp(Tension_Strength-FT,Real)
  FC *MatProp(Compresion_Strength-FC,Real)

*If(strcmp(MatProp(Type_of_comp_soft-CSOFT),"Crush_band") == 0.0)
  CSOFT 1
  WD *MatProp(Critical_Comp_Disp-WD,Real)
*Else
*# *If(strcmp(MatProp(Type_of_comp_soft-CSOFT),"Softening_modulus") == 0.0)
  CSOFT 2
  CD *MatProp(Compression_soft_param-CD,Real)
*endif
*#
  EPS_C *MatProp(Compressive_strain-EPS_C,Real)
*If(strcmp(MatProp(Shear_ret_fac),"VARIABLE")==0)
  SHEAR VARIABLE
*Else
  SHEAR FIXED *MatProp(FIXED_Value,Real)
*EndIf
*#
*If(strcmp(MatProp(Type_of_tension_soft-ISOFT),"Exponential")==0)
  ISOFT 1.0
  GF *MatProp(Fracture_Energy-GF,Real)
*ElseIf(strcmp(MatProp(Type_of_tension_soft-ISOFT),"Linear")==0)
  ISOFT 2.0
  GF *MatProp(Fracture_Energy-GF,Real)
*ElseIf(strcmp(MatProp(Type_of_tension_soft-ISOFT),"Linear_Local_Strain")==0)
  ISOFT 3.0
  C3 *MatProp(Softenig_parameter-C3,Real)
*ElseIf(strcmp(MatProp(Type_of_tension_soft-ISOFT),"SFRC")==0)
  ISOFT 4.0
  GF *MatProp(Fracture_Energy-GF,Real)
  C1 *MatProp(Softenig_parameter-C1,Real)
  C2 *MatProp(Softenig_parameter-C2,Real)
*ElseIf(strcmp(MatProp(Type_of_tension_soft-ISOFT),"SFRC_Local_Strain")==0)
  ISOFT 5.0
  C1 *MatProp(Softenig_parameter-C1,Real)
  C2 *MatProp(Softenig_parameter-C2,Real)
  C3 *MatProp(Softenig_parameter-C3,Real)
*EndIf
  COMPRED *MatProp(Compressive_to_cracks-COMPRED,Real)
*If(strcmp(MatProp(Ten-comp_interaction-CS),"Linear")==0)
  CS 0.6
*ElseIf(strcmp(MatProp(Ten-comp_interaction-CS),"Hyperbola_A")==0)
  CS 0.4
*ElseIf(strcmp(MatProp(Ten-comp_interaction-CS),"Hyperbola_B")==0)
  CS 0.2
*EndIf
*If(strcmp(MatProp(Rotated_cracks),"1")==0)
  ROTATED CRACKS
*EndIf
